/* research reports page */
section.main {
    padding-top: calc(120 * var(--rpx-50));
    padding-bottom: calc(120 * var(--rpx-50));
    background-color: #f7f7f7;
}

.yiiPager .first,
.yiiPager .last{
    display: none;
}

.report-list{
    display: flex;
    flex-direction: column;
    gap: calc(32 * var(--rpx-50));
}

.report{
    background-color: #fff;
    padding: calc(45 * var(--rpx-50)) calc(55 * var(--rpx-50));
    font-size: calc(24 * var(--rpx));

    display: flex;
    align-items: center;
}

.icon-pdf{
    width: calc(82 * var(--rpx));
    height: calc(82 * var(--rpx));
    background: url("../images/icon_pdf.svg") center/contain no-repeat;
    flex: 0 0 auto;
}

.report .title{
    margin-left: calc(68 * var(--rpx));
    flex: 1 1 auto;
}

.report .filename{
    margin-right: calc(24 * var(--rpx));
    max-width: calc(300 * var(--rpx));
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.report .download{
    width: calc(80 * var(--rpx));
    height: calc(80 * var(--rpx));
    background-color: var(--theme-blue);
    position: relative;
}

.report .download::after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    width: calc(28 * var(--rpx-75));
    height: calc(28 * var(--rpx-75));
    background: url("../images/icon_download.svg") center/contain no-repeat;
}

.report .download:hover{
    background-color: var(--theme-blue-dark);
}

@media (max-width: 828px) {

    .main .section-title {
        font-size: calc(48 * var(--rpx));
        margin-bottom: calc(16 * var(--rpx));
    }

    .report-list {
        gap: calc(30 * var(--rpx));
    }

    .report {
        padding: calc(36 * var(--rpx));
        font-size: 1rem;
    }

    .icon-pdf {
        width: calc(64 * var(--rpx));
        height: calc(64 * var(--rpx));
    }

    .report .title {
        margin-left: calc(30 * var(--rpx));
    }

    .report .download {
        width: calc(64 * var(--rpx));
        height: calc(64 * var(--rpx));
    }

    .report .download::after {
        width: calc(24 * var(--rpx-75));
        height: calc(24 * var(--rpx-75));
    }
}